﻿#include <iostream>

// Описание класса student может быть в файле student.h
class student
{
private:
    char name[128];   // Поля
    int year;         // или данные класса 
    int marks[10];    
public:
    student(const char* name, int year = 2000); // Конструктор
    char* GetName();  // метод или функция-член класса
    bool SetMark(int n, int m);
    int Sum();
    float Avr();
};

enum subj { math, eng, lit, bio, geo, inf, phys, chem, econ, gyms };
// ======== конец файла student.h


// Реализация методов класса student может быть в файле studet.cpp

student::student(const char* name, int year)
{
    strcpy_s(this->name, 127, name);
    this->year = year;
    for (int i = 0; i < 10; i++) marks[i] = 0;
}

char* student::GetName()
{
    return name;
}

bool student::SetMark(int n, int m)
{
    if (n >= 0 && n < 10)
    {
        marks[n] = m; 
        return true;
    }
    else
        return false;
}

int student::Sum()
{
    int s = 0;
    for (int i = 0; i < 10; i++) s += marks[i];
    return s;
}

float student::Avr()
{
    float s = 0;
    int n = 0;
    for (int i=0; i<10; i++) 
        if (marks[i]) { s += marks[i]; n++; }
    if (n) s /= n;
    return s;
}


// ======== конец файла student.cpp

int main()
{
    using namespace std;

    student s1("Ivanov", 2012);
    student s2("Petrov");  

    cout << s1.GetName() << endl;

    s1.SetMark(subj::bio, 5);
    s1.SetMark(subj::math, 4);

    cout << s1.Sum() << endl;
    cout << s1.Avr() << endl;


}
